var i, js = 'engine.js|bevelimage/cvi_istack_lib.js|bevelimage/reflex.js|bevelimage/cvi_reflex_lib.js|bevelimage/bevel.js|menu.js'.split('|');
for (i = 0; i < js.length; ++i) {
    document.write('<scr' + 'ipt type="text/javascript" src="/engine/js/' + js[i] + '"><\/scr' + 'ipt>');
}

/*CAROUSEL*/
$.fn.initCarousel = function () {
    function repeat(str, num) {
        return new Array(num + 1).join(str);
    }
    return this.each(function () {
        var $wrapper = $('> div', this).css('overflow', 'hidden'),
        $slider = $wrapper.find('> ul'),
        $items = $slider.find('> li'),
        $single = $items.filter(':first'),
        singleWidth = $single.outerWidth(),
        visible = Math.ceil($wrapper.innerWidth() / singleWidth),
        currentPage = 1,
        pages = Math.ceil($items.length / visible);
        $items.filter(':first').before($items.slice( - visible).clone().addClass('cloned'));
        $items.filter(':last').after($items.slice(0, visible).clone().addClass('cloned'));
        $items = $slider.find('> li'); // reselect
        $wrapper.scrollLeft(singleWidth * visible);
        function gotoPage(page) {
            var dir = page < currentPage ? -1 : 1,
            n = Math.abs(currentPage - page),
            left = singleWidth * dir * visible * n;
            $wrapper.filter(':not(:animated)').animate({
                scrollLeft: '+=' + left
            },
            500, function () {
                if (page == 0) {
                    $wrapper.scrollLeft(singleWidth * visible * pages);
                    page = pages;
                } else if (page > pages) {
                    $wrapper.scrollLeft(singleWidth * visible);
                    page = 1;
                }
                currentPage = page;
            });
            return false;
        }
        $wrapper.after('<a class="arrow back">&lt;<\/a><a class="arrow forward">&gt;<\/a>');
        $('a.back', this).click(function () {
            return gotoPage(currentPage - 1);
        });
        $('a.forward', this).click(function () {
            return gotoPage(currentPage + 1);
        });
        $(this).bind('goto', function (event, page) {
            gotoPage(page);
        });
    });
};
/* HINT TYSPY */
(function ($) {
    $.fn.tipsy = function (options) {
        options = $.extend({},
        $.fn.tipsy.defaults, options);
        return this.each(function () {

            if ($(this).attr('title') || $(this).attr('alt')) {
                var opts = $.fn.tipsy.elementOptions(this, options);
                $(this).hover(function () {
                    $.data(this, 'cancel.tipsy', true);
                    var tip = $.data(this, 'active.tipsy');
                    if (!tip) {
                        tip = $('<div class="tipsy"><div class="tipsy-inner"/></div>');
                        tip.css({
                            position: 'absolute',
                            zIndex: 100000
                        });
                        $.data(this, 'active.tipsy', tip);
                    }
                    if ($(this).attr('title') || typeof($(this).attr('original-title')) != 'string') {
                        $(this).attr('original-title', $(this).attr('title') || '').removeAttr('title');
                    }
                    if ($(this).attr('alt') || typeof($(this).attr('original-alt')) != 'string') {
                        $(this).attr('original-alt', $(this).attr('alt') || '').removeAttr('alt');
                    }
                    var title, alt;
                    if (typeof opts.title == 'string') {
                        title = $(this).attr(opts.title == 'title' ? 'original-title': opts.title);
                    } else if (typeof opts.title == 'function') {
                        title = opts.title.call(this);
                    }
                    if (typeof opts.alt == 'string') {
                        alt = $(this).attr(opts.alt == 'alt' ? 'original-alt': opts.alt);
                    } else if (typeof opts.alt == 'function') {
                        alt = opts.alt.call(this);
                    }
                    tip.find('.tipsy-inner')[opts.html ? 'html': 'text']((title || alt) || opts.fallback);
                    var pos = $.extend({},
                    $(this).offset(), {
                        width: this.offsetWidth,
                        height: this.offsetHeight
                    });
                    tip.get(0).className = 'tipsy';
                    tip.remove().css({
                        top: 0,
                        left: 0,
                        visibility: 'hidden',
                        display: 'block'
                    }).appendTo(document.body);
                    var actualWidth = tip[0].offsetWidth,
                    actualHeight = tip[0].offsetHeight;
                    var gravity = (typeof opts.gravity == 'function') ? opts.gravity.call(this) : opts.gravity;

                    switch (gravity.charAt(0)) {
                    case 'n':
                        tip.css({
                            top:
                            pos.top + pos.height,
                            left: pos.left + pos.width / 2 - actualWidth / 2
                        }).addClass('tipsy-north');
                        break;
                    case 's':
                        tip.css({
                            top:
                            pos.top - actualHeight,
                            left: pos.left + pos.width / 2 - actualWidth / 2
                        }).addClass('tipsy-south');
                        break;
                    case 'e':
                        tip.css({
                            top:
                            pos.top + pos.height / 2 - actualHeight / 2,
                            left: pos.left - actualWidth
                        }).addClass('tipsy-east');
                        break;
                    case 'w':
                        tip.css({
                            top:
                            pos.top + pos.height / 2 - actualHeight / 2,
                            left: pos.left + pos.width
                        }).addClass('tipsy-west');
                        break;
                    }
                    if (opts.fade) {
                        tip.css({
                            opacity: 0,
                            display: 'block',
                            visibility: 'visible'
                        }).animate({
                            opacity: 0.8
                        });
                    } else {
                        tip.css({
                            visibility: 'visible'
                        });
                    }
                },
                function () {
                    $.data(this, 'cancel.tipsy', false);
                    var self = this;
                    setTimeout(function () {
                        if ($.data(this, 'cancel.tipsy')) return;
                        var tip = $.data(self, 'active.tipsy');
                        if (opts.fade) {
                            tip.stop().fadeOut(function () {
                                $(this).remove();
                            });
                        } else {
                            tip.remove();
                        }
                    },
                    50);
                });
            }
        });
    };
    $.fn.tipsy.elementOptions = function (ele, options) {
        return $.metadata ? $.extend({},
        options, $(ele).metadata()) : options;
    };
    $.fn.tipsy.defaults = {
        fade: true,
        fallback: '',
        gravity: 'n',
        html: false,
        title: 'title',
        alt: 'alt'
    };
    $.fn.tipsy.autoNS = function () {
        return $(this).offset().top > ($(document).scrollTop() + $(window).height() / 2) ? 's': 'n';
    };
    $.fn.tipsy.autoWE = function () {
        return $(this).offset().left > ($(document).scrollLeft() + $(window).width() / 2) ? 'e': 'w';
    };
})(jQuery);

/* INITIALIZATION */
$(document).ready(function () {
    $('.uMessage img').each(function () {
        $(this).click(function () {
            var s = "'sc'";
            new _uWnd('sc', '', 200, 200, {
                modal: 1,
                autosize: 1,
                shadow: 1,
                autosizeonimages: 1,
                header: 0
            },
            '<img src="' + $(this).attr('src') + '" align="center" alt="" onclick="_uWnd.close(' + s + ')" style="cursor:pointer;">');
        });
    });
    step = function () {
        $('a.forward').click();
        setTimeout('step()', 10000);
    }
    $('.carousel').initCarousel();
    $('*').tipsy();
    step();
});
